Show / Hide Table of Contents

# Struct UIState

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct UIState

### Fields

| Improve this Doc View Source

#### Buddy

##### Declaration

    public Buddy Buddy

##### Field Value

Type | Description
--- | ---
Buddy |

| Improve this Doc View Source

#### Hotbar

##### Declaration

    public Hotbar Hotbar

##### Field Value

Type | Description
--- | ---
Hotbar |

| Improve this Doc View Source

#### PlayerState

##### Declaration

    public PlayerState PlayerState

##### Field Value

Type | Description
--- | ---
PlayerState |

| Improve this Doc View Source

#### RelicNote

##### Declaration

    public RelicNote RelicNote

##### Field Value

Type | Description
--- | ---
RelicNote |

| Improve this Doc View Source

#### Revive

##### Declaration

    public Revive Revive

##### Field Value

Type | Description
--- | ---
Revive |

| Improve this Doc View Source

#### Telepo

##### Declaration

    public Telepo Telepo

##### Field Value

Type | Description
--- | ---
Telepo |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 8B ?? ?? ?? ?? 48 8B 01", 0, false)]
    public static UIState*Instance()

##### Returns

Type | Description
--- | ---
UIState* |